<?php

/**
 * Project  	SMS Contact
 * Release    	1.0.0
 * @package		SMS Contact
 * @subpackage	Backend Administration component
 * @version		$Id$
 * @author		Ozeki Informatics Ltd.
 * @link 		http://www.ozekisms.com, http://sms-integration.com
 * @copyright	Copyright (c) 2000-2010 Ozeki Informatics Ltd. - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

/*
 *
 * This component provides the backend administration for
 * the SMS Contact component. You can contact the users of your
 * via SMS with this component.
 *
 */
 
 
 // No direct access
 
defined( '_JEXEC' ) or die( 'Restricted access' );


class HTMLdisplayer
{

function displayUsers(){
	JToolBarHelper::title( JText::_( 'Contact site users via SMS' ), 'generic.png' );
	JToolBarHelper::save( 'composeMSG', JText::_( 'Send' ));
	JToolBarHelper::preferences('com_smscontact',400);

	$db =& JFactory::getDBO();
	$query = 'SELECT * FROM `#__users`;';
	$db->setQuery($query);
	$resObj = $db->loadObjectList();
	$res = $db->query();
	$rownum = $db->getNumRows();
?>

	<form action="index.php" method="post" name="adminForm">
		<table>
			<tr>
				<td>
					Message: 
				</td>
				<td>
					<TEXTAREA NAME="message" COLS=60 ROWS=5></TEXTAREA>
				</td>
			</tr>
		</table>

<div id="editcell">
    <table class="adminlist">
    <thead>
        <tr>
            <th width="5">
                <?php echo JText::_( 'ID' ); ?>
            </th>
            <th width="20">
              <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo $rownum; ?>);" />
            </th>
            <th>
                <?php echo JText::_( 'Name' ); ?>
            </th>
			<th>
                <?php echo JText::_( 'Phone' ); ?>
            </th>
        </tr>            
    </thead>
	
	    <?php
    $k = 0;
    for ($i=0, $n=$rownum; $i < $n; $i++)
    {
     
        $checked    = JHTML::_( 'grid.id', $i, $resObj[$i]->id );
        
		if ($resObj[$i]->phone != '')
		{
		?>
        <tr class="<?php echo "row$k"; ?>">
            <td>
                <?php echo $i+1; ?>
            </td>
            <td>
              <?php echo $checked; ?>
            </td>
            <td>
                <?php echo $resObj[$i]->name; ?>
            </td>
			<td>
              <?php echo $resObj[$i]->phone; ?>
            </td>
			</tr>
			<?php 
        $k = 1 - $k;
		}
	}
    ?>
    </table>
</div>
 
<input type="hidden" name="option" value="com_smscontact" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="smscontact" />
 
</form>

<?php
}
	
function sendSMS(){
	JController::setRedirect('index.php?option=com_smscontact&task=display');
	JFactory::getApplication()->enqueueMessage( 'Message successfully sent out for the users.' );
}
}		


